%global momorel 5
%global drvver 0.9.15

Summary: A networked sound server, similar in theory to the Enlightened Sound Daemon
Name: pulseaudio
Version: 0.9.15
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPL
Group: System Environment/Daemons
URL: http://pulseaudio.org/
Source0: http://0pointer.de/lennart/projects/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
# patches imported from fedora
Patch0: pulseaudio-0.9.15-no-daemon-if-remote-desktop.patch
Patch1: pulseaudio-0.9.15-alsa-allow-configuration-of-fallback-device-strings.patch
Patch2: pulseaudio-0.9.15-util-if-NULL-is-passed-to-pa_path_get_filename-ju.patch
Patch3: pulseaudio-0.9.15-alsa-don-t-hit-an-assert-when-invalid-module-argume.patch
Patch4: pulseaudio-0.9.15-alsa-fix-wording-we-are-speaking-of-card-profiles.patch
Patch5: pulseaudio-0.9.15-alsa-initialize-buffer-size-before-number-of-period.patch
Patch6: pulseaudio-0.9.15-conf-remove-obsolete-module-idle-time-directive-fro.patch
Patch7: pulseaudio-0.9.15-core-make-sure-soft-mute-status-stays-in-sync-with.patch
Patch8: pulseaudio-0.9.15-endian-fix-LE-BE-order-for-24-bit-accessor-function.patch
Patch9: pulseaudio-0.9.15-log-print-file-name-only-when-we-have-it.patch
Patch10: pulseaudio-0.9.15-man-document-24bit-sample-types-in-man-page.patch
Patch11: pulseaudio-0.9.15-man-document-log-related-daemon.conf-options.patch
Patch12: pulseaudio-0.9.15-man-document-that-tsched-doesn-t-use-fragment-setti.patch
Patch13: pulseaudio-0.9.15-mutex-when-we-fail-to-fill-in-mutex-into-static-mut.patch
Patch14: pulseaudio-0.9.15-oss-don-t-deadlock-when-we-try-to-resume-an-OSS-dev.patch
Patch15: pulseaudio-0.9.15-simple-protocol-don-t-hit-an-assert-when-we-call-co.patch
Patch16: pulseaudio-0.9.15-idxset-add-enumeration-macro-PA_IDXSET_FOREACH.patch
Patch17: pulseaudio-0.9.15-rescue-streams-when-one-stream-move-fails-try-to-co.patch
Patch18: pulseaudio-0.9.15-sample-correctly-pass-s24-32-formats.patch
Patch19: pulseaudio-0.9.15-sample-util-fix-iteration-loop-when-adjusting-volum.patch
Patch20: pulseaudio-0.9.15-sample-util-properly-allocate-silence-block-for-s24.patch
Patch21: pulseaudio-0.9.15-sconv-fix-a-few-minor-conversion-issues.patch
Patch22: pulseaudio-0.9.15-alsa-be-a-bit-more-verbose-when-a-hwparam-call-fail.patch
Patch23: pulseaudio-0.9.15-rescue-make-we-don-t-end-up-in-an-endless-loop-when.patch
Patch24: pulseaudio-0.9.15-core-introduce-pa_-sink-source-_set_fixed_latency.patch
Patch25: pulseaudio-0.9.15-core-cache-requested-latency-only-when-we-are-runni.patch
Patch26: pulseaudio-0.9.15-sample-fix-build-on-BE-archs.patch
Patch27: pulseaudio-0.9.15-alsa-properly-convert-return-values-of-snd_strerror.patch
Patch28: pulseaudio-0.9.15-alsa-remove-debug-code.patch
# momonga's patch
Patch1000: pulseaudio-0.9.15-CVE-2009-1894.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
BuildRequires: GConf2-devel
BuildRequires: PolicyKit-devel
BuildRequires: alsa-lib-devel >= 1.0.19
BuildRequires: avahi-devel
BuildRequires: bluez-libs-devel >= 4.0
BuildRequires: doxygen
BuildRequires: gdbm-devel
BuildRequires: glib2-devel
BuildRequires: hal-devel
BuildRequires: jack-devel
BuildRequires: libXt-devel
BuildRequires: libasyncns-devel >= 0.7
BuildRequires: libatomic_ops-devel
BuildRequires: libcap-devel
BuildRequires: liboil-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libtool
BuildRequires: libtool-ltdl-devel
BuildRequires: lirc-devel
BuildRequires: m4
BuildRequires: openssl-devel
BuildRequires: pkgconfig
BuildRequires: speex-devel
BuildRequires: tcp_wrappers-devel
BuildRequires: xorg-x11-proto-devel
Obsoletes:     pulseaudio-devel
Obsoletes:     pulseaudio-core-libs

%description
PulseAudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND).

%package esound-compat
Summary: PulseAudio EsounD daemon compatibility script
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Provides: esound
Obsoletes: esound

%description esound-compat
A compatibility script that allows applications to call /usr/bin/esd
and start PulseAudio with EsounD protocol modules.

%package module-lirc
Summary: LIRC support for the PulseAudio sound server
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}

%description module-lirc
LIRC volume control module for the PulseAudio sound server.

%package module-x11
Summary: X11 support for the PulseAudio sound server
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: %{name}-utils = %{version}-%{release}

%description module-x11
X11 bell and security modules for the PulseAudio sound server.

%package module-zeroconf
Summary: Zeroconf support for the PulseAudio sound server
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: pulseaudio-utils

%description module-zeroconf
Zeroconf publishing module for the PulseAudio sound server.

%package module-bluetooth
Summary: Bluetooth proximity support for the PulseAudio sound server
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}

%description module-bluetooth
Contains a module that can be used to automatically turn down the volume if
a bluetooth mobile phone leaves the proximity or turn it up again if it enters the
proximity again

%package module-jack
Summary: JACK support for the PulseAudio sound server
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}

%description module-jack
JACK sink and source modules for the PulseAudio sound server.

%package module-gconf
Summary: GConf support for the PulseAudio sound server
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}

%description module-gconf
GConf configuration backend for the PulseAudio sound server.

%package libs
Summary: Libraries for PulseAudio clients
License: LGPL
Group: System Environment/Libraries

%description libs
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.

%package core-libs
Summary: Core libraries for the PulseAudio sound server.
License: LGPL
Group: System Environment/Libraries

%description core-libs
This package contains runtime libraries that are used internally in the
PulseAudio sound server.

%package libs-glib2
Summary: GLIB 2.x bindings for PulseAudio clients
License: LGPL
Group: System Environment/Libraries

%description libs-glib2
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.

%package libs-zeroconf
Summary: Zeroconf support for PulseAudio clients
License: LGPL
Group: System Environment/Libraries

%description libs-zeroconf
This package contains the runtime libraries and tools that allow PulseAudio
clients to automatically detect PulseAudio servers using Zeroconf.

%package libs-devel
Summary: Headers and libraries for PulseAudio client development
License: LGPL
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-libs-glib2 = %{version}-%{release}
Requires: %{name}-libs-zeroconf = %{version}-%{release}
Requires: glib2-devel
Requires: pkgconfig
Provides: %{name}-devel
Obsoletes: %{name}-devel

%description libs-devel
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.

%package utils
Summary: PulseAudio sound server utilities
License: LGPL
Group: Applications/Multimedia
Requires: %{name}-libs = %{version}-%{release}

%description utils
This package contains command line utilities for the PulseAudio sound server.

%prep
%setup -q -T -b0

%patch0 -p1 
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 
%patch5 -p1 
%patch6 -p1 
%patch7 -p1 
%patch8 -p1 
%patch9 -p1 
%patch10 -p1 
%patch11 -p1 
%patch12 -p1 
%patch13 -p1 
%patch14 -p1 
%patch15 -p1 
%patch16 -p1 
%patch17 -p1 
%patch18 -p1 
%patch19 -p1 
%patch20 -p1 
%patch21 -p1 
%patch22 -p1 
%patch23 -p1 
%patch25 -p1 
%patch26 -p1 
%patch27 -p1 
%patch28 -p1 

%patch1000 -p1 -b .CVE-2009-1894

%build
%configure \
	--disable-static \
	--disable-rpath \
	--with-system-user=pulse \
	--with-system-group=pulse \
	--with-realtime-group=pulse-rt \
	--with-access-group=pulse-access

%make LIBTOOL=%{_bindir}/libtool
%make doxygen

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete
find %{buildroot}%{_libdir}/* -name "*.a" -delete

chmod 755 %{buildroot}%{_bindir}/pulseaudio

# for applications using esd
ln -s esdcompat %{buildroot}%{_bindir}/esd

# clean up
rm -f %{buildroot}/%{_libdir}/libpulsecore.so

mkdir -p %{buildroot}%{_localstatedir}/lib/pulse

# preserve time stamps, for multilib's sake
touch -r src/daemon/daemon.conf.in %{buildroot}%{_sysconfdir}/pulse/daemon.conf
touch -r src/daemon/default.pa.in %{buildroot}%{_sysconfdir}/pulse/default.pa
touch -r src/daemon/org.pulseaudio.policy %{buildroot}%{_datadir}/PolicyKit/policy/org.pulseaudio.policy
touch -r man/pulseaudio.1.xml.in %{buildroot}%{_mandir}/man1/pulseaudio.1
touch -r man/default.pa.5.xml.in %{buildroot}%{_mandir}/man5/default.pa.5
touch -r man/pulse-client.conf.5.xml.in %{buildroot}%{_mandir}/man5/pulse-client.conf.5
touch -r man/pulse-daemon.conf.5.xml.in %{buildroot}%{_mandir}/man5/pulse-daemon.conf.5

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
groupadd -r pulse &>/dev/null || :
useradd -r -c 'PulseAudio daemon' \
    -s /sbin/nologin -d / -g pulse pulse &>/dev/null || :
groupadd -r pulse-rt &>/dev/null || :
groupadd -r pulse-access &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
    userdel pulse &>/dev/null || :
    groupdel pulse &>/dev/null || :
    groupdel pulse-rt &>/dev/null || :
    groupdel pulse-access &>/dev/null || :
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post libs-glib2 -p /sbin/ldconfig
%postun libs-glib2 -p /sbin/ldconfig

%post libs-zeroconf -p /sbin/ldconfig
%postun libs-zeroconf -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog GPL LGPL LICENSE README
%dir %{_sysconfdir}/pulse
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/system.pa
%attr(4755,root,root) %{_bindir}/pulseaudio
%{_libdir}/libpulsecore-%{drvver}.so
%dir %{_libdir}/pulse-%{drvver}
%dir %{_libdir}/pulse-%{drvver}/modules
%{_libdir}/pulse-%{drvver}/modules/libalsa-util.so
%{_libdir}/pulse-%{drvver}/modules/libcli.so
%{_libdir}/pulse-%{drvver}/modules/liboss-util.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-http.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-native.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-simple.so
%{_libdir}/pulse-%{drvver}/modules/librtp.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-source.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-card.so
%{_libdir}/pulse-%{drvver}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-cli.so
%{_libdir}/pulse-%{drvver}/modules/module-combine.so
%{_libdir}/pulse-%{drvver}/modules/module-detect.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-hal-detect.so
%{_libdir}/pulse-%{drvver}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-match.so
%{_libdir}/pulse-%{drvver}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-null-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-oss.so
%{_libdir}/pulse-%{drvver}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-pipe-source.so
%{_libdir}/pulse-%{drvver}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{drvver}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{drvver}/modules/module-rtp-send.so
%{_libdir}/pulse-%{drvver}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-sine.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{drvver}/modules/module-volume-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{drvver}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-device-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-stream-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-card-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-remap-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-always-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-console-kit.so
%{_libdir}/pulse-%{drvver}/modules/module-position-event-sounds.so
%{_libdir}/pulse-%{drvver}/modules/module-augment-properties.so
%{_libdir}/pulse-%{drvver}/modules/module-cork-music-on-phone.so
%{_libdir}/pulse-%{drvver}/modules/module-sine-source.so
%{_datadir}/PolicyKit/policy/org.pulseaudio.policy
%{_mandir}/man1/pulseaudio.1*
%{_mandir}/man5/default.pa.5*
%{_mandir}/man5/pulse-client.conf.5*
%{_mandir}/man5/pulse-daemon.conf.5*
%dir %{_libexecdir}/pulse

%files esound-compat
%defattr(-,root,root)
%{_bindir}/esd
%{_bindir}/esdcompat
%{_mandir}/man1/esdcompat.1*

%files module-lirc
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-lirc.so

%files module-x11
%defattr(-,root,root)
%config %{_sysconfdir}/xdg/autostart/pulseaudio.desktop
%{_bindir}/start-pulseaudio-x11
%{_libdir}/pulse-%{drvver}/modules/module-x11-bell.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-publish.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-xsmp.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-cork-request.so

%files module-zeroconf
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{drvver}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{drvver}/modules/module-zeroconf-discover.so
%{_libdir}/pulse-%{drvver}/modules/libraop.so
%{_libdir}/pulse-%{drvver}/modules/module-raop-discover.so
%{_libdir}/pulse-%{drvver}/modules/module-raop-sink.so

%files module-jack
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-jack-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-jack-source.so

%files module-bluetooth
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-proximity.so
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-device.so
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-discover.so
%{_libdir}/pulse-%{drvver}/modules/libbluetooth-ipc.so
%{_libdir}/pulse-%{drvver}/modules/libbluetooth-sbc.so
%{_libdir}/pulse-%{drvver}/modules/libbluetooth-util.so
%{_libexecdir}/pulse/proximity-helper

%files module-gconf
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-gconf.so
%{_libexecdir}/pulse/gconf-helper

%files libs -f %{name}.lang
%defattr(-,root,root)
%doc README LICENSE GPL LGPL
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%{_libdir}/libpulse.so.*
%{_libdir}/libpulse-simple.so.*
%{_libdir}/libpulsecommon-%{drvver}.so

%files libs-glib2
%defattr(-,root,root)
%{_libdir}/libpulse-mainloop-glib.so.*

%files libs-zeroconf
%defattr(-,root,root)
%{_bindir}/pabrowse
%{_libdir}/libpulse-browse.so.*
%{_mandir}/man1/pabrowse.1*

%files libs-devel
%defattr(-,root,root)
%doc doxygen/html
%{_libdir}/pkgconfig/libpulse*.pc
%{_includedir}/pulse/
%{_libdir}/libpulse.so
%{_libdir}/libpulse-browse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so

%files utils
%defattr(-,root,root)
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/pax11publish
%{_bindir}/padsp
%{_bindir}/pasuspender
%{_libdir}/libpulsedsp.so
%{_mandir}/man1/pacat.1*
%{_mandir}/man1/pacmd.1*
%{_mandir}/man1/pactl.1*
%{_mandir}/man1/paplay.1*
%{_mandir}/man1/pasuspender.1*
%{_mandir}/man1/padsp.1*
%{_mandir}/man1/pax11publish.1*

%changelog
* Sat Jul 25 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.15-5m)
- import a lot of patches from fedora 
- delete unused patch

* Fri Jul 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.15-4m)
- [SECURITY] CVE-2009-1894
- import upstream patch (Patch1)

* Thu Jun 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.15-3m)
- add pulseaudio-0.9.15-no-daemon-if-remote-desktop.patch

* Thu May 21 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.15-2m)
- fix libtoolize issue

* Mon May 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.15-1m)
- update 0.9.15

* Sat Jan 31 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.14-1m)
- update 0.9.14

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.13-5m)
- rebuild against rpm-4.6

* Fri Dec 19 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.13-4m)
- rebuild against bluez-4.22

* Fri Dec 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.13-3m)
- merge Fedora's changes
 +- move x11 scripts to p-m-x11 package
 +- Make the pulseaudio(-module-x11) package depend on pulseaudio-utils

* Tue Dec  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.13-2m)
- import 2 upstream patches from Fedora
- BuildRequires: libasyncns-devel

* Sun Oct 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.13-1m)
- version 0.9.13
- import upstream patches from Fedora

* Fri Sep 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.11-1m)
- update to 0.9.11
- comment out patch0 

* Mon Sep 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.10-3m)
- import lock-file.patch from F9-updates(testing)
 +* Thu Sep 9 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.10-2
 +- Fix lock file handling: properly check if the PID stored in our lock file
 +  actually belongs to us. Fixes #438284

* Sat Apr 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.10-2m)
- build with PolicyKit

* Wed Apr 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.10-1m)
- version 0.9.10
- clean up patches

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.8-7m)
- rebuild against gcc43

* Mon Mar 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.8-5m)
- modify Provides and Obsoletes

* Fri Mar  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.8-4m)
- re-split packages like Fedora
- import 4 patches from Fedora

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.8-3m)
- %%NoSource -> NoSource

* Sun Jan  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.8-1m)
- update 0.9.8
- delete patch4

* Tue Mar 20 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.9.5-1m)
- welcome to momonga

* Sat Mar  2 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-5
- Fix merge problems with patch.

* Fri Mar  2 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-4
- Add patch to handle ALSA changing the frame size (bug 230211).
- Add patch for suspended ALSA devices (bug 228205).

* Mon Feb  5 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-3
- Add esound-compat subpackage that allows PulseAudio to be a drop-in
  replacement for esd (based on patch by Matthias Clasen).
- Backport patch allows startup to continue even when the users'
  config cannot be read.

* Wed Oct 23 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-2
- Create user and groups for daemon.

* Mon Aug 28 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-1
- Upgrade to 0.9.5.

* Wed Aug 23 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-3
- Make sure JACK modules are built and packaged.

* Tue Aug 22 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-2
- Merge the ALSA modules into the main package as ALSA is the
  standard API.

* Sun Aug 20 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-1
- Update to 0.9.4.
- Remove fix for rpath as it is merged upstream.

* Fri Jul 21 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.9.3-2
- Remove static libraries.
- Fix for rpath issues.

* Fri Jul 21 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.3-1
- Update to 0.9.3
- GLib 1.2 bindings dropped.
- Howl compat dropped as Avahi is supported natively.
- Added fix for pc files on x86_64.

* Sat Jul  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.2-1
- Update to 0.9.2.
- Added Avahi HOWL compat dependencies.

* Thu Jun  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.1-1
- Update to 0.9.1.

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-2
- Build and package doxygen docs
- Call ldconfig for relevant subpackages.

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-1
- Update to 0.9.0

* Tue May  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.8.1-1
- Update to 0.8.1
- Split into more packages
- Remove the modules' static libs as those shouldn't be used (they shouldn't
  even be installed)

* Fri Feb 24 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.7-2
- dance around with perms so we don't strip the binary
- add missing BR

* Mon Nov 28 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.7-1
- Initial package for Fedora Extras
